Main Page Class Hierarchy Compound List File List Compound Members File Members

# TCPConnection Class Reference

Connessione base TCP. More...

`#include <TCPConnection.h>`

Inheritance diagram for TCPConnection:

List of all members.

## Public Methods
| TCPConnection ()
| Costruttore di Default. More...
| TCPConnection (antStackRef ipStack)
| Costruttore base. More...
virtual | ~TCPConnection ()
| Distruttore di Default.
antModuleRef & | getEndpoint ()
| Restituisce un riferimento all'Endpoint. More...
void | setState (ConnectionState st)
| Imposta lo stato della connessione. More...
ConnectionState | getState ()
| Restituisce lo stato corrente della connessione. More...
void | setPort (Port prt)
| Imposta la porta della connessione TCP. More...
Port | getPort ()
| Ritorna la porta TCP di comunicazione. More...
virtual OStatus | initConnection ()=0
| Inizializza la connessione. More...
virtual OStatus | stop ()=0
| Ferma la connessione. More...
## Protected Attributes
antModuleRef | endpoint
| Riferimento all'Endpoint della connessione.
antStackRef | ipstackRef
| Riferimento allo stack TCP/IP dell'Aibo.
ConnectionState | state
| Stato della connessione. More...
Port | port
| Porta TCP di comunicazione.

## Detailed Description

Connessione base TCP.

Classe base che definisce una connessione TCP priva di buffer, utile per essere ereditata da connessioni piu' specifiche. Non si occupa della gestione dei metodi di CONNECT e LISTEN in quanto, per motivi sia di efficienza, sia di incompatibilita' tecnica di gestione (necessita' di utilizzare Extra-entry point) vengono gestiti da TelepatiTcp.

## Constructor & Destructor Documentation

TCPConnection::TCPConnection | ( |  | ) | `[inline]`

| Costruttore di Default. Imposta una connessione non valida.

TCPConnection::TCPConnection | ( | antStackRef | ipStack | ) | `[inline]`

  | Costruttore base. Inizializza i valori del putatore allo stack TCP/IP dell'Aibo e la imposta come CLOSED. Parameters:
  ipStack | riferimento allo stack TCP/IP dell'Aibo

## Member Function Documentation

antModuleRef& TCPConnection::getEndpoint | ( |  | ) | `[inline]`

| Restituisce un riferimento all'Endpoint. Fornisce l'Endpoint (concetto OPEN-R simile alle Socket di Unix) della connessione.@return endpoint della connessione

Port TCPConnection::getPort | ( |  | ) | `[inline]`

| Ritorna la porta TCP di comunicazione. Returns: porta di comunicazione

ConnectionState TCPConnection::getState | ( |  | ) | `[inline]`

| Restituisce lo stato corrente della connessione. Returns: stato corrente. See also: ConnectionState

virtual OStatus TCPConnection::initConnection | ( |  | ) | `[pure virtual]`

| Inizializza la connessione. Ha il compito di inizializzare il buffer di comunicazione e di creare ed inizializzare l'Endpoint della connessione. Da implementare. Implemented in TCPRecvConnection.

void TCPConnection::setPort | ( | Port | prt | ) | `[inline]`

  | Imposta la porta della connessione TCP. Parameters:
  prt | porta di comunicazione TCP

void TCPConnection::setState | ( | ConnectionState | st | ) | `[inline]`

  | Imposta lo stato della connessione. Parameters:
  st | nuovo stato della connessione.
See also: ConnectionState

virtual OStatus TCPConnection::stop | ( |  | ) | `[pure virtual]`

| Ferma la connessione. Chiude la connessione, dopo la chiamata a questo metodo la connessione non sara' piu' utilizzabile, per riutilizzarla dovra' essere reinizializzata. Da implementare. Implemented in TCPRecvConnection.

## Member Data Documentation

ConnectionState TCPConnection::state`[protected]`

| Stato della connessione. See also: ConnectionState

The documentation for this class was generated from the following file:

- /home/gilberto/prog/tesi2.31/TelepatiTcp/TCPConnection.h